News
01 November 2020 Reading time: 1 minute

Update your ISPmanager to work with Let's Encrypt

123

Starting November 1, 2020, in ISPmanager version below 5.261, it's no longer possible to issue or renew Let's Encrypt certificates.

This is due to changes in the standardized certificate issuance protocol that the center is guided by. The mechanism for checking certificates has been changed from GET requests to POST-AS-GET requests. The news was published on the website of the certification center community.

All mentioned changes have already been taken into account in ISPmanager, starting from version 5.261 and newer. Therefore, we recommend updating the control panel to the most current Stable version. With it, you can be sure of the debugged work of the entire system, not only related to the work of Let’s Encrypt.